% Project work 2007
% Comparison of control structures for maximizing throughput
% Simulation results

% Simulink model with two units
% Four different control structures
scrsz = get(0,'ScreenSize');
xstart = 1;
ystart = 64;
%% ****************************
% I. single loop PI-controller
%% ****************************
load tauc=theta.mat
F0SL=F0;
%F1SL=F1;
F2SL=F2;
%F3SL=F3;
F4SL=F4;
L1SL=L1;
L2SL=L2;
TSL=T;
AvgF4SL=sum(F4SL)/size(F4SL,1);
BackOffSL=max(F4SL)-1 % calculates the back off


%% ****************************
% II. single loop with feedforward
%% ****************************
load singleloopFF_P.mat
F0SFF=F0;
%F1SFF=F1;
F2SFF=F2;
%F3SFF=F3;
F4SFF=F4;
L1SFF=L1;
L2SFF=L2;
TTSFF=T;
AvgF4SFF=sum(F4SFF)/size(F4SFF,1);
BackoffSFF=max(F4SFF)-1 %calculates the back off



%% *********************
%III. Cascade control 
%% *********************
load casF2_F4tauc=theta
F0cas=F0;
%F1cas=F1;
F2cas=F2;
%F3cas=F3;
F4cas=F4;
L1cas=L1;
L2cas=L2;
TTcas=T;
Avgf2f4=sum(F4cas)/size(F4cas,1);
BackoffF4cas=max(F4cas)-1 %calculates the back off


%% *********************
%IV MPC controller
%% *********************
% MPC controller with large weight value on F4
load ModelMPC2.mat
F0MPC2=F0;
%F1SL=F1;
F2MPC2=F2;
%F3SL=F3;
F4MPC2=F4;
L1MPC2=L1;
L2MPC2=L2;
TTMPC2=T;
MVF0MPC2=MVF0;
MVL1MPC2=MVL1;
MVL2MPC2=MVL2;
AvgF4MPC2=sum(F4MPC2)/size(F4MPC2,1);
BackOffMPC2=max(F4MPC2(:,1))-1

% Plots
%
figure_handler = figure('Position',[scrsz(1) scrsz(2)+ystart scrsz(3)-xstart scrsz(4)-ystart-78]);
plot(TSL,F4SL,'g--',TTSFF,F4SFF,'r',TTcas,F4cas,'k:',TTMPC2,F4MPC2,'b:')
%axis([400 2400 0.9 1.4])
legend('single loop','single loop with FF','cascade','MPC')
ylabel('Output flow F4 [m^3/min]')
xlabel('Time [min]')

% if one needs to see other variables, please uncomment the figures below.
%%
% figure_handler = figure('Position',[scrsz(1) scrsz(2)+ystart scrsz(3)-xstart scrsz(4)-ystart-78]);
% plot(TSL,F0SL,'g--',TTSFF,F0SFF,'r',TTcas,F0cas,'k:',TTMPC2,F0MPC2,'b:')
% %axis([400 2400 0.9 1.4])
% legend('single loop','single loop with FF','cascade','MPC')
% ylabel('Feed flow F0 [m^3/min]')
% xlabel('Time [min]')
% 
% figure_handler = figure('Position',[scrsz(1) scrsz(2)+ystart scrsz(3)-xstart scrsz(4)-ystart-78]);
% plot(TSL,L1SL,'g--',TTSFF,L1SFF,'r',TTcas,L1cas,'k:',TTMPC2,L1MPC2,'b:')
% %axis([400 2400 0.9 1.4])
% legend('single loop','single loop with FF','cascade','MPC')
% ylabel('Controlled level 1 [m^3]')
% xlabel('Time [min]')
% 
% figure_handler = figure('Position',[scrsz(1) scrsz(2)+ystart scrsz(3)-xstart scrsz(4)-ystart-78]);
% plot(TSL,L2SL,'g--',TTSFF,L2SFF,'r',TTcas,L2cas,'k:',TTMPC2,L2MPC2,'b:')
% %axis([400 2400 0.9 1.4])
% legend('single loop','single loop with FF','cascade','MPC')
% ylabel('Controlled level 2 [m^3]')
% xlabel('Time [min]')
