% Project work 2007
% Comparison of control structures for maximizing throughput
% Simulation results

%% ****************
%4. MPC controller
%% ****************
% MPC controller with large weight value on F0

load ModelMPC1.mat
F0MPC1=F0;
%F1SL=F1;
F2MPC1=F2;
%F3SL=F3;
F4MPC1=F4;
L1MPC1=L1;
L2MPC1=L2;
TMPC1=T;
MVF0MPC1=MVF0;
MVL1MPC1=MVL1;
MVL2MPC1=MVL2;
AvgF4MPC1=sum(F4MPC1)/size(F4MPC1,1);
BackOffMPC1=max(F4MPC1(:,1))-1 % calculate the back off


% MPC controller with large weight value on F4
load ModelMPC2.mat
F0MPC2=F0;
%F1ToOutput=F1;
F2MPC2=F2;
%F3ToOutput=F3;
F4MPC2=F4;
L1MPC2=L1;
L2MPC2=L2;
TTMPC2=T;
MVF0MPC2=MVF0;
MVL1MPC2=MVL1;
MVL2MPC2=MVL2;
AvgF4MPC2=sum(F4MPC2)/size(F4MPC2,1);
BackMPC2=max(F4MPC2(:,1))-1 % calculate the back off

%% ****************************
% Plot results
%% ****************************
figure(10)
figure(1)
plot(TMPC1,F4MPC1,TTMPC2,F4MPC2,'g:')
%axis([400 2400 0.9 1.4])
%legend ('MPC1','MPC2')
ylabel('Output flow F4 [m^3/min]')
xlabel('Time [min]')


figure(2)
plot(TMPC1,F0MPC1,TTMPC2,F0MPC2,'g:')
%axis([400 2400 0.9 1.4])
%legend ('MPC1','MPC2')
ylabel('Feed flow F0 [m^3/min]')
xlabel('Time [min]')


figure(3)
plot(TMPC1,L1MPC1,TTMPC2,L1MPC2,'g:')
%axis([400 2400 0.9 1.4])
%legend ('MPC1','MPC2')
ylabel('Controlled level 1 [m^3]')
xlabel('Time (min)')


figure(4)
plot(TMPC1,L2MPC1,TTMPC2,L2MPC2,'g:')
%axis([400 2400 0.9 1.4])
%legend ('MPC1','MPC2')
ylabel('Controlled level 2 [m^3]')
xlabel('Time (min)')


figure(5)
plot(TMPC1,MVF0MPC1,TTMPC2,MVF0MPC2,'g:')
%axis([400 2400 0.9 1.4])
%legend ('MPC1','MPC2')
ylabel('Manipulated feed flow F0 [m^3/min]')
xlabel('Time (min)')


figure(6)
plot(TMPC1,MVL1MPC1,TTMPC2,MVL1MPC2,'g:')
%axis([400 2400 0.9 1.4])
%legend ('MPC1','MPC2')
ylabel('Manipulated level 1 [m^3]')
xlabel('Time (min)')

figure(7)
plot(TMPC1,MVL2MPC1,TTMPC2,MVL2MPC2,'g:')
%axis([400 2400 0.9 1.4])
%legend ('MPC1','MPC2')
ylabel('Manipulated level 2 [m^3]')
xlabel('Time (min)')