% Project work 2007
% Comparison of control structures for maximizing throughput
% Simulation results

%% ****************************
%II. Single loop control with feedforward control
%% ****************************
clear all
close all
%Single loop with feedforward on level controllers
% P controller on levels
load singleloopFF_P.mat
F0bias=F0;
F1bias=F1;
F2bias=F2;
F3bias=F3;
F4bias=F4;
L1bias=L1;
L2bias=L2;
TTbias=T;
AvgF4bias=sum(F4bias)/size(F4bias,1);
BackOffbias=max(F4bias)-1 % calculate the back off

%Single loop with feedforward on level controllers
% PI controller on levels
load singleloopFF_PI.mat
F0biasPI=F0;
F1biasPI=F1;
F2biasPI=F2;
F3biasPI=F3;
F4biasPI=F4;
L1biasPI=L1;
L2biasPI=L2;
TTbiasPI=T;
AvgF4biasPI=sum(F4biasPI)/size(F4biasPI,1);
BackOffbiasPI=max(F4biasPI)-1 % calculate the back off
%% ****************************
% Plot results
%% ****************************
figure(1)
plot(TTbias,F4bias,'k:',TTbiasPI,F4biasPI,'c-');
axis([0 2500 0.9 1.5])
legend('Singleloop-FF-P','Singleloop-FF-PI')
ylabel('Output flow F4 m^3')
xlabel('Time (min)')

figure(2)
plot(TTbias,F0bias,'k:',TTbiasPI,F0biasPI,'c-')
%axis([400 2400 0.9 1.4])
legend('Singleloop-FF-P','Singleloop-FF-PI')
ylabel('Feed flow F0 m^3/min')
xlabel('Time (min)')

figure(3)
plot(TTbias,L1bias,'k:',TTbiasPI,L1biasPI,'c-')
%axis([400 2400 0.9 1.4])
legend('Singleloop-FF-P','Singleloop-FF-PI')
ylabel('Controlled level 1 m^3')
xlabel('Time (min)')

figure(4)
plot(TTbias,L2bias,'k:',TTbiasPI,L2biasPI,'c-')
%axis([400 2400 0.9 1.4])
legend('Singleloop-FF-P','Singleloop-FF-PI')
ylabel('Controlled level 2 m^3')
xlabel('Time (min)')